import { AppBar, Toolbar } from "@suid/material";
import { splitProps, type JSX, type ParentComponent } from "solid-js";
import "./AppTopBar.css";
import { useWindowSize } from "@solid-primitives/resize-observer";

const AppTopBar: ParentComponent<{
  class?: string;
  style?: JSX.HTMLAttributes<HTMLElement>["style"];
}> = (oprops) => {
  const [props, rest] = splitProps(oprops, ["children", "class"]);
  const windowSize = useWindowSize();

  return (
    <AppBar
      class={`AppTopBar ${props.class || ""}`}
      elevation={1}
      position="static"
      {...rest}
    >
      <Toolbar
        variant={windowSize.width > windowSize.height ? "dense" : "regular"}
        class="toolbar"
        sx={{ paddingTop: "var(--safe-area-inset-top, 0px)" }}
      >
        {props.children}
      </Toolbar>
    </AppBar>
  );
};

export default AppTopBar;
